# Gimp.Image.select_ellipse

    @accepts(Gimp.Image, Gimp.ChannelOps, float, float, float, float)
    @returns(bool)
    def select_ellipse(self, operation, x, y, width, height):
        # Python wrapper for gimp_image_select_ellipse()

Create an elliptical selection over the specified image.

This tool creates an elliptical selection over the specified image. The elliptical region can be either added to, subtracted from, or replace the contents of the previous selection mask.

This procedure is affected by the following context setters: Gimp.context_set_antialias, Gimp.context_set_feather, Gimp.context_set_feather_radius.

Since 2.8

self

  The image.

operation

  The selection operation.

x

  x coordinate of upper-left corner of ellipse bounding box.

y

  y coordinate of upper-left corner of ellipse bounding box.

width

  The width of the ellipse.

height

  The height of the ellipse.

Returns